
Figure - Bug #113495
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现ANR:com.android.launcher3
2022-11-01 16:01 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// NOT RESPONDING: com.android.launcher3 (pid 2617)

ANR in com.android.launcher3 (com.android.launcher3/.uioverrides.QuickstepLauncher)

PID: 2617

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.launcher3/.uioverrides.QuickstepLauncher

ErrorId: d04d5a34-cf1d-4c4d-9837-3ca756210f4b

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=0

full avg10=0.00 avg60=0.00 avg300=0.00 total=0

----- End output from /proc/pressure/memory -----

CPU usage from 7533ms to 0ms ago (2022-10-28 22:00:22.721 to 2022-10-28 22:00:30.255):

  99% 1241/ept_uppertester_v2.0_fse: 87% user + 11% kernel

  33% 1231/tlog: 1.3% user + 31% kernel

  22% 1286/mediaserver: 8.5% user + 13% kernel / faults: 769 minor

  18% 1137/system_server: 3.7% user + 14% kernel / faults: 1748 minor

  13% 1424/media.swcodec: 4.1% user + 9.2% kernel / faults: 723 minor

  10% 801/android.hardware.audio.service: 1.2% user + 9.6% kernel / faults: 3 minor

  10% 1013/audioserver: 3.2% user + 6.8% kernel / faults: 24 minor

  6.9% 15520/kworker/u16:13+NPU_DCI: 0% user + 6.9% kernel

...
History

#1 - 2022-11-01 17:18 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

app的问题，请帮忙分析

#2 - 2022-11-02 10:18 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to AF组-RD3_CDTS 罗肖

#3 - 2022-11-02 11:02 - AF组-RD3_CDTS 罗肖

- Resolution changed from -- to DUPLICATE

- Root cause set to 113460

■ Current conclusion

找到问题原因，

■ My analysis

是SettingsHomepageActivity java395 行 导致java.lang.IllegalStateException: Can not perform this action after onSaveInstanceState

■ Next action 

转给 Setting同事进行分析

#4 - 2022-11-02 11:02 - AF组-RD3_CDTS 罗肖

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD AF-陈羽杰

#5 - 2022-11-02 14:18 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to AF组-RD3_CDTS 罗肖

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.launcher3/.uioverrides.QuickstepLauncher

日志显示包名  com.android.launcher3 报ANR ，Settings崩溃应该不会导致其他应用ANR，请再分析一下是否为其他原因导致。

#6 - 2022-11-03 10:03 - AF组-RD3_CDTS 罗肖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD Test赵飞

- Root cause deleted (113460)

请帮忙上传TLog和data目录下的anr文件夹，谢谢

#7 - 2022-11-04 10:44 - CD Test赵飞

- File anr.zip added

- File tlog.zip.001 added

- File tlog.zip.002 added

- File tlog.zip.003 added

- Status changed from NEED_INFO to ASSIGNED
- Assignee changed from CD Test赵飞 to AF组-RD3_CDTS 罗肖

Tlog及ANR见附件

Tlog使用的是分卷压缩，全部下载后再解压

#8 - 2022-11-09 18:57 - CD Test赵飞

Log已上传FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug _113495/Tlog&ANR.zip

#9 - 2022-11-15 10:20 - CD APP-王营

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD APP-李德盛

#10 - 2022-11-16 19:54 - CDTS-TEST 周婷

- Due date deleted (2022-11-08)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#11 - 2022-12-05 17:38 - CD APP-王营

- Due date set to 2022-12-15

#12 - 2022-12-27 17:18 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD Test赵飞

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#13 - 2022-12-28 14:29 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#14 - 2022-12-28 14:29 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

error.txt 1.81 MB 2022-11-01 CD Test赵飞

info.txt 3.71 MB 2022-11-01 CD Test赵飞

anr.zip 9.81 KB 2022-11-04 CD Test赵飞

tlog.zip.001 30 MB 2022-11-04 CD Test赵飞

tlog.zip.002 30 MB 2022-11-04 CD Test赵飞

tlog.zip.003 17.2 MB 2022-11-04 CD Test赵飞
